Problems with mysql 5.7 (I believe)

Need help installing Joomla! 3.x? For all Joomla! 3.x installation issues please use this forum.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
smora
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Wed Dec 27, 2017 9:54 pm

Problems with mysql 5.7 (I believe)

Post by smora » Wed Dec 27, 2017 10:01 pm

They have made an update in mysql to version 5.7 and now I get this message:

Database Error: The PHP `ext/mysql` extension is removed in PHP 7, cannot use the `mysql` driver. Also, this system does not support MySQLi or PDO MySQL. Cannot instantiate database driver

User avatar
lefteriskavadas
Joomla! Intern
Joomla! Intern
Posts: 77
Joined: Fri Feb 05, 2016 6:10 pm
Location: Athens, Greece
Contact:

Re: Problems with mysql 5.7 (I believe)

Post by lefteriskavadas » Wed Dec 27, 2017 10:09 pm

Hi,

You are getting this message because they updated PHP not MySQL. Edit your site's configuration.php file and make sure the database driver is set to MySQLi:

Code: Select all

public $dbtype = 'mysqli';
If your hosting provider does not support MySQLi as you wrote then you need to change hosting company.

RedEye
Joomla! Ace
Joomla! Ace
Posts: 1460
Joined: Sat Jan 21, 2006 8:42 pm

Re: Problems with mysql 5.7 (I believe)

Post by RedEye » Thu Dec 28, 2017 3:52 am

lefteriskavadas wrote:If your hosting provider does not support MySQLi as you wrote then you need to change hosting company.
First you should kick his ass very very very hard, because mysqli extension is the standard since php 5.2


Post Reply

Return to “Installation Joomla! 3.x”